## translate 0.1

=== DESCRIPTION ===
Package: translate
Type: Package
Title: Bindings for the Google Translate API v2
Description: Bindings for the Google Translate API v2
Version: 0.1
Date: 2012-01-11
Author: Peter Danenberg <pcd@roxygen.org>
Maintainer: Peter Danenberg <pcd@roxygen.org>
License: GPL
Imports: RCurl, RJSONIO, functional, lisp
Suggests: debug
Collate: 'translate.R'
Packaged: 2012-01-11 19:42:24 UTC; pcdanenb
Repository: CRAN
Date/Publication: 2012-01-12 09:24:54

## translate 0.1.2

=== DESCRIPTION ===
Package: translate
Type: Package
Title: Bindings for the Google Translate API v2
Description: Bindings for the Google Translate API v2
Version: 0.1.2
Date: 2014-07-10
Author: Peter Danenberg <pcd@roxygen.org>
Maintainer: Peter Danenberg <pcd@roxygen.org>
License: GPL
Imports: RCurl, RJSONIO, functional, lisp
Packaged: 2014-07-10 14:53:49 UTC; danenberg
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-07-16 01:14:43

## translate 0.5-5

=== Makefile ===
install: 
	install -d debian/tmp/usr/bin
	cp translate debian/tmp/usr/bin
	install -d debian/tmp/etc
	cp translate.conf debian/tmp/etc

clean: 
	rm -f *~

=== debian/changelog ===
translate (0.5-5) unstable; urgency=low

  * New dictionary wich is not longer part of this package
  * Global configuration file

 -- Matthias Kabel <mkabel@debian.org>  Mon, 19 Jul 1999 19:56:34 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "mkabel@debian.org"
End:

=== debian/control ===
Source: translate
Section: text
Priority: optional
Maintainer: Matthias Kabel <mkabel@debian.org>
Standards-Version: 2.4.1

Package: translate
Architecture: any
Depends: trans-de-en
Suggests: xtranslate
Description: translates given words from english to german or vice versa
 It looks up a word in a file with language-to-language translations
 (field separator should be \" :: \") and maintains local dictionaries. 
 So it should be easy to add more languages, if you have such a dictionary.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=translate

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## translate 0.6

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 	cp translate debian/tmp/usr/bin
 	install -d debian/tmp/etc
 	cp translate.conf debian/tmp/etc
+	install -d debian/tmp/usr/share/doc
+#	gzip -9 -c debian/changelog > debian/tmp/usr/share/doc/changelog.Debian.gz
 
 clean: 
 	rm -f *~

## translate 0.6-2

=== debian/changelog ===
translate (0.6-2) unstable; urgency=low

  * Fixed build-deps, and a wrong gzip in Makefile closes: Bug #114880

 -- Matthias Kabel <mkabel@debian.org>  Mon, 8 Oct 2001 22:43:22 +0200

translate (0.6-1) unstable; urgency=low

  * New option -w which searches only whole words, closes: Bug #114559

 -- Matthias Kabel <mkabel@debian.org>  Sun, 7 Oct 2001 18:63:32 +0200

translate (0.5-9) unstable; urgency=low

  * tried to remember the ancient changes closes: Bug #82790 

 -- Matthias Kabel <mkabel@debian.org>  Sun, 26 Aug 2001 11:44:06 +0200

translate (0.5-8) unstable; urgency=low

  * fixed a bug with inverting languages
    Thanks to Wolfgang Jhrling <wolfgang@pro-linux.de>

 -- Matthias Kabel <mkabel@debian.org>  Sat,  30 Dec 2000 20:13:08 +0200

translate (0.5-7) unstable; urgency=low

  * changed the configuration files

 -- Matthias Kabel <mkabel@debian.org>  Fri,  13 Dec 2000 17:19:13 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: translate
+Build-Depends: debmake
 Section: text
 Priority: optional
 Maintainer: Matthias Kabel <mkabel@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,13 @@
 build:
 	$(checkdir)
 	
-	make CFLAGS="-O2 -g -Wall"
+	$(MAKE) CFLAGS="-O2 -g -Wall"
 	touch build
 
 clean:
 	$(checkdir)
 	-rm -f build
-	-make clean
+	-$(MAKE) clean
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core debian/substvars
 
@@ -28,11 +28,11 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
-	make install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 # Must have debmake installed for this to work. Otherwise please copy
 # /usr/bin/debstd into the debian directory and change debstd to debian/debstd
 	debstd 
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## translate 0.6.0~debian0

=== Makefile ===
install: 
	install -d $(DESTDIR)/usr/bin
	cp translate $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc
	cp translate.conf $(DESTDIR)/etc
	install -d $(DESTDIR)/usr/share/doc

clean: 
	rm -f *~

=== debian/changelog ===
translate (0.6.0~debian0) unstable; urgency=medium

  * Convert package to "3.0 (native)" format since the upstream has
    long disappeared.
  * Bump version string to "0.6.0~debian0".
  * Bump Standards-Version to 4.5.0, debhelper compat to v13.
  * Set package maintainer to be Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jun 2020 11:50:28 -0400

translate (0.6-11) unstable; urgency=low

  * DH compatibility level is 7
  * Fix debhelper-but-no-misc-depends
  * Fix dh-clean-k-is-deprecated
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-versionless-license-file
  * Fix manpage-has-bad-whatis-entry

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 10 Feb 2010 09:50:07 +1100

translate (0.6-10) unstable; urgency=low

  * Don't depend on debmake, run dh_make. Closes: #460648
  * Bumped Standards-Version to 3.7.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 16 Jan 2008 19:04:00 +1100

translate (0.6-9) unstable; urgency=low

  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 25 Jun 2006 17:24:56 +1000

translate (0.6-8) unstable; urgency=low

  * Fixed "should be 'arch: all'", closes: #357308.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Mar 2006 09:15:21 +1100

translate (0.6-7) unstable; urgency=low

  * Fixed "utf8 encodes utf8 lines again" (again) and "iconv
    problems in u8 locale", closes: #314158, #318986. Patch by
    Martin Michlmayr <tbm@cyrius.com>.
  * translate.conf: changed "LANG" to "LANGUAGE".
  * Fixed "do not create an empty local configuration directory at
    ~/.translate", closes: #327004. Patch by Jonas Meurer <mejo@debian.org>.
  * Set Standards-Version to 3.6.2.
  * Fixed FSF mail address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2005 23:12:21 +1100

translate (0.6-6) unstable; urgency=low

  * Fixed "utf8 encodes utf8 lines again", closes: #313362.
    Patch by Martin Michlmayr <tbm@cyrius.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 15 Jun 2005 09:04:28 +1000 

translate (0.6-5) unstable; urgency=low

  * Fixed "translate: does not understand locales and UTF-8",
    closes: #219199. Patch by Martin Michlmayr <tbm@cyrius.com>.
  * Fixed "fix logic of global and local dictionary check",
    closes: #307581. Patch by Martin Michlmayr <tbm@cyrius.com>.
  * Fixed "please don't create ~/.translate when it's not needed",
    closes: #307582. Patch by Martin Michlmayr <tbm@cyrius.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 15 May 2005 19:58:03 +1000

translate (0.6-4) unstable; urgency=low

  * New maintainer's email address. 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 12 Feb 2005 19:52:16 +1100

translate (0.6-3) unstable; urgency=low

  * New maintainer. Closes: #244203
  * New Option -w doesn't work as expected. Closes: #116100
    Patch by Christian Kurz <shorty@debian.org>
  * Says "No matches. Teach me or press Return." even if there are matches. Closes: #182472, #241198
    Patch by Georg Neis <georg@fli4l.de>
    Patch by gerhard oettl <gerhard.oettl@gmx.at>
  * Spelling error in description. Closes: #125431
    Patch by Matt Zimmerman <mdz@debian.org>.
  * Example in synopsis doesn't work. Closes: #193733
  * Cruft in debian.  Bug already fixed. Closes: #82789

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 18 Aug 2004 21:59:42 +1000

=== debian/control ===
Source: translate
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/debian/translate.git
Vcs-Browser: https://salsa.debian.org/debian/translate

Package: translate
Architecture: all
Depends: ${misc:Depends}, trans-de-en (>= 1.4-1)
Suggests: xtranslate
Description: translates words from English into German or viceversa
 It looks up a word in a file with language-to-language translations
 (field separator should be \" :: \") and maintains local dictionaries. 
 So it should be easy to add more languages, if you have such a dictionary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR = $(CURDIR)/debian/translate/

%:
	dh $@

## translate 1.1.1

=== debian/changelog ===
translate (1.1.1) unstable; urgency=medium

  * Regression fix: Avoid coloring and especially the unwanted line break
    when prompting for a new entry.

 -- Axel Beckert <abe@debian.org>  Tue, 31 Aug 2021 02:25:01 +0200

translate (1.1.0) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix missing word in previous debian/changelog entry.
  * Highlight the search term in the output with color if output is a
    terminal and not a pipe.
  * Man page:
    + Move from the debian directory into the top directory.
    + Reorder options to the same order as in the usage message.
    + Fix rendering of -h option, also mention --help.
    + Mention maintenance takeover by Debian.
    + Rework FILES section and consistently use bold for file names.
    * Replace xtranslate with ding in the SEE ALSO section.
  * Set Salsa repo page as Homepage.
  * Suggest ding. (More or less replacing the previously removed
    "Suggests: xtranslate".)

  [ Chris Lamb ]
  * Make the build reproducible, use UTC in generated release time stamp.
    (Closes: #992772)

 -- Axel Beckert <abe@debian.org>  Sun, 29 Aug 2021 01:29:37 +0200

translate (1.0.0) unstable; urgency=medium

  * Adopt the package. (Closes: #925043)
  * Use Semantic Versioning and bump the version to 1.0.0.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Stop suggesting the long gone xtranslate package.
  * Run "wrap-and-sort -a".
  * Switch Rules-Requires-Root from "binary-targets" to "no".
  * Change all occurrences of backticks with $(…).
  * debian/copyright:
    + Fix typo in Matthias Kabel's e-mail address.
    + Convert to machine-readable DEP5 format.
  * Drop Makefile, use simpler debian/install instead.
  * translate, debian/rules: Set script version and date at build time.
  * Add a .gitignore file.
  * Recode the translate script from ISO-8859-1 to UTF-8. (Only affects
    comments.)
  * Trim trailing whitespace from the translate script.
  * Declare the package to be "Multi-Arch: foreign".
  * Support --help as alternative to -h. (Closes: #855517)
  * Create ~/.translate/ only before writing to it. (Closes: #422684)
  * Fix typo in error message.

 -- Axel Beckert <abe@debian.org>  Sun, 22 Aug 2021 17:13:22 +0200

translate (0.6.0~debian1) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 0.5-7.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:33:29 +0100

=== debian/control ===
Source: translate
Section: text
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/translate.git
Vcs-Browser: https://salsa.debian.org/debian/translate
Homepage: https://salsa.debian.org/debian/translate

Package: translate
Architecture: all
Multi-Arch: foreign
Depends: trans-de-en (>= 1.4-1),
         ${misc:Depends}
Suggests: ding
Description: translates words from English into German or viceversa
 It looks up a word in a file with language-to-language translations
 (field separator should be \" :: \") and maintains local dictionaries.
 So it should be easy to add more languages, if you have such a dictionary.

## translate 1.1.2

=== debian/changelog ===
translate (1.1.2) unstable; urgency=medium

  * Replace all occurrences of "egrep" with "grep -E". *sigh*
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)
  * Drop seemingly unnecessary and superfluous backslashes from long
    package description.

 -- Axel Beckert <abe@debian.org>  Sat, 10 Sep 2022 16:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/translate.git
 Vcs-Browser: https://salsa.debian.org/debian/translate
@@ -17,5 +17,5 @@
 Suggests: ding
 Description: translates words from English into German or viceversa
  It looks up a word in a file with language-to-language translations
- (field separator should be \" :: \") and maintains local dictionaries.
+ (field separator should be " :: ") and maintains local dictionaries.
  So it should be easy to add more languages, if you have such a dictionary.

## translate 1.1.3

=== debian/changelog ===
translate (1.1.3) unstable; urgency=medium

  * Allow iconv to ignore characters that cannot be converted instead of
    terminating (and hence stopping translate) when not using an UTF-8
    terminal. (Closes: #1031552) Thanks to Markus Reschke!
  * Declare compliance with Debian Policy 4.6.2. No changes needed.
  * Bump copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 18 Feb 2023 19:02:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/translate.git
 Vcs-Browser: https://salsa.debian.org/debian/translate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DESTDIR = $(CURDIR)/debian/translate/

%:
	dh $@

override_dh_install:
	dh_install
	sed -e "s/__VERSION__/$(DEB_VERSION)/;s/__DATE__/$$(date -u -I -d @$(SOURCE_DATE_EPOCH))/" \
	    -i $(DESTDIR)/usr/bin/translate

## translate 1.1.3build1

=== debian/changelog ===
translate (1.1.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Jan 2026 22:40:46 +0000

## translate toolkit-3.14.1

=== Makefile ===
DOCS_DIR = docs

.PHONY: all build docs requirements help sort-imports

all: help

build:
	python -m build

docs:
	# The following creates the HTML docs.
	make -C ${DOCS_DIR} SPHINXOPTS="--show-traceback --fail-on-warning" html ${TAIL}

docs-review: docs
	python -mwebbrowser file://$(shell pwd)/${DOCS_DIR}/_build/html/index.html

sort-imports:
	isort -rc .

help:
	@echo "Help"
	@echo "----"
	@echo
	@echo "  build - create sdist with required prep"
	@echo "  docs - build Sphinx docs"
	@echo "  docs-review - launch webbrowser to review docs"
	@echo "  requirements - (re)generate pinned and minimum requirements"
	@echo "  sort-imports - sort Python imports"
	@echo "  test - run unit test suite"
	@echo "  test-functional - run the functional test suite"

# Perform forced build using -W for the (.PHONY) requirements target
requirements:
	$(MAKE) -W $(REQFILE) requirements/min-versions.txt requirements.txt

REQS=.reqs
REQFILE=requirements/optional.txt

requirements.txt: $(REQFILE)
	@set -e;							\
	 case `pip --version` in					\
	   "pip 0"*|"pip 1.[012]"*)					\
	     virtualenv --no-site-packages --clear $(REQS);		\
	     source $(REQS)/bin/activate;				\
	     echo starting clean install of requirements from PyPI;	\
	     pip install --use-mirrors -r $(REQFILE);			\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     pip freeze | grep -v '^wsgiref==' | sort > $@ ;;		\
	   *)								\
	     : only pip 1.3.1+ processes --download recursively;	\
	     rm -rf $(REQS); mkdir $(REQS);				\
	     echo starting download of requirements from PyPI;		\
	     pip install --download $(REQS) -r $(REQFILE);		\
	     : trap removes partial/empty target on failure;		\
	     trap 'if [ "$$?" != 0 ]; then rm -f $@; fi' 0;		\
	     (cd $(REQS) && ls *.tar* |					\
	      sed -e 's/-\([0-9]\)/==\1/' -e 's/\.tar.*$$//') > $@;	\
	 esac; 

requirements/min-versions.txt: requirements/optional.txt requirements/required.txt
	@if grep -q '>[0-9]' $^; then				\
	   echo "Use '>=' not '>' for requirements"; exit 1;	\
	 fi
	@echo "creating $@"
	@echo "# Automatically generated: DO NOT EDIT" > $@
	@echo "# Regenerate using 'make requirements'" >> $@
	@echo "# ====================================" >> $@
	@echo "# Minimum Requirements" >> $@
	@echo "# ====================================" >> $@
	@echo "#" >> $@
	@echo "# These are the minimum versions of dependencies that the developers" >> $@
	@echo "# claim will work." >> $@
	@echo "#" >> $@
	@echo "# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $@
	@echo "#" >> $@
	@echo >> $@
	@cat $^ | sed -n '/=/{s/>=/==/;s/,<.*//;s/,!=.*//;p;};/^[-#]/d;/^$$/d;/=/d;p;' >> $@

test:
	@py.test --cov=. -r EfsxX

test-functional:
	@tests/cli/run_tests.sh
